<?php declare(strict_types=1);
// Setup Environment variables for use of Dates
putenv('PHP_TIMEZONE=Europe/Stockholm');
putenv('PHP_DEFAULT_LOCALE=sv-SE');

const CUSTOM_TEMPLATE_DIRECTORY_URI = 'https://wp-content/themes/base-theme';
const CUSTOM_TEMPLATE_DIRECTORY = 'www/wp-content/themes/base-theme';
const CUSTOM_STATIC_TEMPLATE_DIRECTORY = 'wp-content/themes/base-theme';

const CUSTOM_STYLESHEET_DIRECTORY_URI = 'https://wp-content/themes/child-theme';
const CUSTOM_STYLESHEET_DIRECTORY = 'www/wp-content/themes/child-theme';
const CUSTOM_STATIC_STYLESHEET_DIRECTORY = 'wp-content/themes/child-theme';

const SITE_URL = 'https://www.site.se';
const PLUGINS_URL = 'https://wp-content/plugins';
const THEMES_URL = 'https://wp-content/themes';

if ( ! defined('ABSPATH')) {
    define('ABSPATH', 'absolute_path/');
}

putenv("CF_STATIC=https://cdn.com");

if ( ! function_exists('site_url')) {
    function site_url(): string
    {
        return SITE_URL;
    }
}

if ( ! function_exists('plugins_url')) {
    /**
     * Retrieves a URL within the plugins or mu-plugins directory.
     *
     * Defaults to the plugins directory URL if no arguments are supplied.
     *
     * @param string $path    Optional. Extra path appended to the end of the URL, including
     *                        the relative directory if $plugin is supplied. Default empty.
     * @param string $plugin  Optional. A full path to a file inside a plugin or mu-plugin.
     *                        The URL will be relative to its directory. Default empty.
     *                        Typically this is done by passing `__FILE__` as the argument.
     *
     * @return string Plugins URL link with optional paths appended.
     * @since 2.6.0
     *
     */
    function plugins_url($path = '', $plugin = ''): string
    {
        return PLUGINS_URL . "/$path";
    }
}

if ( ! function_exists('get_template_directory')) {
    function get_template_directory(): string
    {
        return CUSTOM_TEMPLATE_DIRECTORY;
    }
}

if ( ! function_exists('get_template_directory_uri')) {
    function get_template_directory_uri(): string
    {
        return CUSTOM_TEMPLATE_DIRECTORY_URI;
    }
}

if ( ! function_exists('get_stylesheet_directory')) {
    function get_stylesheet_directory(): string
    {
        return CUSTOM_STYLESHEET_DIRECTORY;
    }
}

if ( ! function_exists('get_stylesheet_directory_uri')) {
    function get_stylesheet_directory_uri(): string
    {
        return CUSTOM_STYLESHEET_DIRECTORY_URI;
    }
}
